%define	srcname	xml-commons-resolver
%include	/usr/lib/rpm/macros.java
Summary:	Apache XML Commons Resolver classes
Summary(pl.UTF-8):	Klasy Apache XML Commons Resolver
Name:		java-xml-commons-resolver
Version:	1.2
Release:	4
License:	Apache v1.1
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/xml/commons/%{srcname}-%{version}.tar.gz
# Source0-md5:	46d52acdb67ba60f0156043f30108766
URL:		http://xml.apache.org/commons/
BuildRequires:	ant
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Obsoletes:	xml-commons-resolver
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Apache XML Commons Resolver classes implement Catalog-based entity
and URI resolution.

%description -l pl.UTF-8
Klasy Apache XML Commons Resolver są implementacją rozwiązywania encji
i URI na podstawie katalogu.

%package javadoc
Summary:	javadoc documentation for Apache XML Commons Resolver
Summary(pl.UTF-8):	Dokumentacja javadoc dla pakietu Apache XML Commons Resolver
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	xml-commons-resolver-javadoc

%description javadoc
javadoc documentation for Apache XML Commons Resolver.

%description javadoc -l pl.UTF-8
Dokumentacja javadoc dla pakietu Apache XML Commons Resolver.

%prep
%setup -q -n %{srcname}-%{version}

find -name "*.jar" | xargs rm -v
mv resolver.xml build.xml

%build
%ant jar javadocs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

install build/resolver.jar $RPM_BUILD_ROOT%{_javadir}/resolver-%{version}.jar
ln -sf resolver-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/resolver.jar

install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a build/apidocs/resolver/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc KEYS LICENSE.resolver.txt
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%changelog
* Sat Feb 01 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-xml-commons-resolver.git;a=log;h=master

* Sat Feb 01 2014 Elan Ruusamäe <glen@delfi.ee> bcda4f4
- avoid self-obsoletes; drop old jakarta provides

* Fri Apr 23 2010 pawelz <pawelz@pld-linux.org> ef63658
- Don't force specific jdk.

* Wed Oct 21 2009 pawelz <pawelz@pld-linux.org> 2e2b99a
- dropped obsolete hacks
- distro dependent jdk bconds

* Fri Feb 06 2009 pawelz <pawelz@pld-linux.org> 965e019
- export SHELL=/bin/sh
- rel 3

* Mon Feb 02 2009 pawelz <pawelz@pld-linux.org> b3e8993
- P:/O: old spec name

* Mon Feb 02 2009 pawelz <pawelz@pld-linux.org> acea1fd
- renamed from xml-commons-resolver
- use java-gcj-compat-devel

* Mon Feb 02 2009 Elan Ruusamäe <glen@pld-linux.org> 24643d0
- Libraries/Java group

* Wed Dec 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1ca5974
- unify java package; rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1be8727
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b3218b8
- converted to UTF-8

* Sun Jan 07 2007 Jakub Bogusz <qboosh@pld-linux.org> 2f3f51e
- updated to 1.2, removed obsolete source1.4 patch
- separated -javadoc, updated java build system

* Sun Jan 07 2007 Jakub Bogusz <qboosh@pld-linux.org> bb5f3b8
- no longer needed

* Fri May 19 2006 Jacek Konieczny <jajcus@pld-linux.org> 4019941
- s/jakarta-ant/ant/ in BR

* Sat May 07 2005 Jakub Bogusz <qboosh@pld-linux.org> 8d4c346
- new Source0 URL, updated to 1.1, added source1.4 patch

* Sat May 07 2005 Jakub Bogusz <qboosh@pld-linux.org> 8dbaed6
- use "-source 1.4" to allow jdk 1.5

* Tue Dec 14 2004 Jan Rękorajski <baggins@pld-linux.org> fc1a509
- DON'T hardcode java paths!

* Tue Oct 28 2003 Jakub Bogusz <qboosh@pld-linux.org> 8c76401
- descriptions

* Tue Aug 26 2003 Tomasz Pala <gotar@pld-linux.org> 2898a17
- no // in paths, sort, white space cleaning

* Tue Aug 12 2003 ankry <ankry@pld-linux.org> 5a559f9
- cosmetics

* Wed Jul 09 2003 pascalek <pascalek@pld-linux.org> cc2b628
- initial release

